commit c82b960ad4293947acbff27429bad5639d3a4692
Author: Steve Traylen <steve.traylen@cern.ch>
Date:   Thu Dec 16 14:55:03 2021 +0100

    rubocop:auto_correct results

diff --git a/lib/facter/nftables.rb b/lib/facter/nftables.rb
index 237ce5d..00aa547 100644
--- a/lib/facter/nftables.rb
+++ b/lib/facter/nftables.rb
@@ -1,3 +1,5 @@
+# frozen_string_literal: true
+
 #
 # Produce an array of nftables.
 # nft list tables
@@ -17,11 +19,11 @@ Facter.add(:nftables) do
     tables = []
     table_result = Facter::Core::Execution.execute(%(#{@nft_cmd} list tables))
     table_result.each_line do |line|
-      tables.push(line.split(' ')[1, 2].join('-'))
+      tables.push(line.split[1, 2].join('-'))
     end
     version = Facter::Core::Execution.execute(%(#{@nft_cmd} --version))[%r{^.*v(\d+\.\d+.\d+)\s.*$}, 1]
     {
-      'tables'  => tables,
+      'tables' => tables,
       'version' => version,
     }
   end
diff --git a/spec/acceptance/all_rules_spec.rb b/spec/acceptance/all_rules_spec.rb
index 45f6880..47112e3 100644
--- a/spec/acceptance/all_rules_spec.rb
+++ b/spec/acceptance/all_rules_spec.rb
@@ -1,3 +1,5 @@
+# frozen_string_literal: true
+
 require 'spec_helper_acceptance'
 
 describe 'nftables class' do
diff --git a/spec/acceptance/default_spec.rb b/spec/acceptance/default_spec.rb
index 716e791..d534921 100644
--- a/spec/acceptance/default_spec.rb
+++ b/spec/acceptance/default_spec.rb
@@ -1,3 +1,5 @@
+# frozen_string_literal: true
+
 require 'spec_helper_acceptance'
 
 describe 'nftables class' do
@@ -50,6 +52,7 @@ describe 'nftables class' do
       it { is_expected.to be_directory }
     end
   end
+
   context 'with bad invalid nft rules' do
     it 'puppet fails but should leave nft service running' do
       pp = <<-EOS
@@ -76,11 +79,13 @@ describe 'nftables class' do
       EOS
       apply_manifest(pp, expect_failures: true)
     end
+
     describe service('nftables') do
       it { is_expected.to be_running }
       it { is_expected.to be_enabled }
     end
   end
+
   context 'with totally empty firewall' do
     it 'no rules validate okay' do
       pp = <<-EOS
@@ -106,11 +111,13 @@ describe 'nftables class' do
       EOS
       apply_manifest(pp, catch_failures: true)
     end
+
     describe service('nftables') do
       it { is_expected.to be_running }
       it { is_expected.to be_enabled }
     end
   end
+
   context 'with custom nat_table_name' do
     it 'no rules validate okay' do
       pp = <<-EOS
@@ -136,6 +143,7 @@ describe 'nftables class' do
       EOS
       apply_manifest(pp, catch_failures: true)
     end
+
     describe service('nftables') do
       it { is_expected.to be_running }
       it { is_expected.to be_enabled }
diff --git a/spec/classes/bridges_spec.rb b/spec/classes/bridges_spec.rb
index bf467dc..0b0bab0 100644
--- a/spec/classes/bridges_spec.rb
+++ b/spec/classes/bridges_spec.rb
@@ -1,3 +1,5 @@
+# frozen_string_literal: true
+
 require 'spec_helper'
 
 describe 'nftables' do
@@ -22,15 +24,16 @@ describe 'nftables' do
         it { is_expected.not_to contain_nftables__rule('default_fwd-bridge_lo_lo') }
 
         it {
-          is_expected.to contain_nftables__rule('default_fwd-bridge_br0_br0').with(
+          expect(subject).to contain_nftables__rule('default_fwd-bridge_br0_br0').with(
             order: '08',
             content: 'iifname br0 oifname br0 accept'
           )
         }
 
         it { is_expected.to contain_nftables__rule('default_fwd-bridge_br1_br1') }
+
         it {
-          is_expected.to contain_nftables__rule('default_fwd-bridge_br1_br1').with(
+          expect(subject).to contain_nftables__rule('default_fwd-bridge_br1_br1').with(
             order: '08',
             content: 'iifname br1 oifname br1 accept'
           )
diff --git a/spec/classes/dnat4_spec.rb b/spec/classes/dnat4_spec.rb
index d68c2e6..e8b7124 100644
--- a/spec/classes/dnat4_spec.rb
+++ b/spec/classes/dnat4_spec.rb
@@ -1,3 +1,5 @@
+# frozen_string_literal: true
+
 require 'spec_helper'
 
 describe 'nftables' do
@@ -51,142 +53,158 @@ describe 'nftables' do
         it { is_expected.to compile }
 
         it {
-          is_expected.to contain_concat('nftables-inet-filter-chain-default_fwd').with(
-            path:           '/etc/nftables/puppet-preflight/inet-filter-chain-default_fwd.nft',
-            owner:          'root',
-            group:          'root',
-            mode:           '0640',
+          expect(subject).to contain_concat('nftables-inet-filter-chain-default_fwd').with(
+            path: '/etc/nftables/puppet-preflight/inet-filter-chain-default_fwd.nft',
+            owner: 'root',
+            group: 'root',
+            mode: '0640',
             ensure_newline: true
           )
         }
+
         it {
-          is_expected.to contain_concat__fragment('nftables-inet-filter-chain-default_fwd-header').with(
-            target:  'nftables-inet-filter-chain-default_fwd',
+          expect(subject).to contain_concat__fragment('nftables-inet-filter-chain-default_fwd-header').with(
+            target: 'nftables-inet-filter-chain-default_fwd',
             content: %r{^chain default_fwd \{$},
-            order:   '00'
+            order: '00'
           )
         }
+
         it {
-          is_expected.to contain_concat__fragment('nftables-inet-filter-chain-default_fwd-rule-jump_ingoing').with(
-            target:  'nftables-inet-filter-chain-default_fwd',
+          expect(subject).to contain_concat__fragment('nftables-inet-filter-chain-default_fwd-rule-jump_ingoing').with(
+            target: 'nftables-inet-filter-chain-default_fwd',
             content: %r{^  iifname eth0 oifname eth1 jump ingoing$},
-            order:   '20-nftables-inet-filter-chain-default_fwd-rule-jump_ingoing-b'
+            order: '20-nftables-inet-filter-chain-default_fwd-rule-jump_ingoing-b'
           )
         }
+
         it {
-          is_expected.to contain_concat__fragment('nftables-inet-filter-chain-default_fwd-footer').with(
-            target:  'nftables-inet-filter-chain-default_fwd',
+          expect(subject).to contain_concat__fragment('nftables-inet-filter-chain-default_fwd-footer').with(
+            target: 'nftables-inet-filter-chain-default_fwd',
             content: %r{^\}$},
-            order:   '99'
+            order: '99'
           )
         }
 
         it {
-          is_expected.to contain_concat__fragment('nftables-inet-filter-chain-ingoing-header').with(
-            target:  'nftables-inet-filter-chain-ingoing',
+          expect(subject).to contain_concat__fragment('nftables-inet-filter-chain-ingoing-header').with(
+            target: 'nftables-inet-filter-chain-ingoing',
             content: %r{^chain ingoing \{$},
-            order:   '00'
+            order: '00'
           )
         }
+
         it {
-          is_expected.to contain_concat__fragment('nftables-inet-filter-chain-ingoing-rule-http').with(
-            target:  'nftables-inet-filter-chain-ingoing',
+          expect(subject).to contain_concat__fragment('nftables-inet-filter-chain-ingoing-rule-http').with(
+            target: 'nftables-inet-filter-chain-ingoing',
             content: %r{^  ip daddr 192.0.2.2 tcp dport http accept$},
-            order:   '10-nftables-inet-filter-chain-ingoing-rule-http-b'
+            order: '10-nftables-inet-filter-chain-ingoing-rule-http-b'
           )
         }
+
         it {
-          is_expected.to contain_concat__fragment('nftables-inet-filter-chain-ingoing-rule-https').with(
-            target:  'nftables-inet-filter-chain-ingoing',
+          expect(subject).to contain_concat__fragment('nftables-inet-filter-chain-ingoing-rule-https').with(
+            target: 'nftables-inet-filter-chain-ingoing',
             content: %r{^  ip daddr 192.0.2.2 tcp dport https accept$},
-            order:   '10-nftables-inet-filter-chain-ingoing-rule-https-b'
+            order: '10-nftables-inet-filter-chain-ingoing-rule-https-b'
           )
         }
+
         it {
-          is_expected.to contain_concat__fragment('nftables-inet-filter-chain-ingoing-rule-http_alt').with(
-            target:  'nftables-inet-filter-chain-ingoing',
+          expect(subject).to contain_concat__fragment('nftables-inet-filter-chain-ingoing-rule-http_alt').with(
+            target: 'nftables-inet-filter-chain-ingoing',
             content: %r{^  iifname eth0 ip daddr 192.0.2.2 tcp dport 8000 accept$},
-            order:   '10-nftables-inet-filter-chain-ingoing-rule-http_alt-b'
+            order: '10-nftables-inet-filter-chain-ingoing-rule-http_alt-b'
           )
         }
+
         it {
-          is_expected.to contain_concat__fragment('nftables-inet-filter-chain-ingoing-rule-wireguard').with(
-            target:  'nftables-inet-filter-chain-ingoing',
+          expect(subject).to contain_concat__fragment('nftables-inet-filter-chain-ingoing-rule-wireguard').with(
+            target: 'nftables-inet-filter-chain-ingoing',
             content: %r{^  iifname eth0 ip daddr 192.0.2.3 udp dport 51820 accept$},
-            order:   '10-nftables-inet-filter-chain-ingoing-rule-wireguard-b'
+            order: '10-nftables-inet-filter-chain-ingoing-rule-wireguard-b'
           )
         }
+
         it {
-          is_expected.to contain_concat__fragment('nftables-inet-filter-chain-ingoing-footer').with(
-            target:  'nftables-inet-filter-chain-ingoing',
+          expect(subject).to contain_concat__fragment('nftables-inet-filter-chain-ingoing-footer').with(
+            target: 'nftables-inet-filter-chain-ingoing',
             content: %r{^\}$},
-            order:   '99'
+            order: '99'
           )
         }
 
         it {
-          is_expected.to contain_concat('nftables-ip-nat-chain-PREROUTING').with(
-            path:           '/etc/nftables/puppet-preflight/ip-nat-chain-PREROUTING.nft',
-            owner:          'root',
-            group:          'root',
-            mode:           '0640',
+          expect(subject).to contain_concat('nftables-ip-nat-chain-PREROUTING').with(
+            path: '/etc/nftables/puppet-preflight/ip-nat-chain-PREROUTING.nft',
+            owner: 'root',
+            group: 'root',
+            mode: '0640',
             ensure_newline: true
           )
         }
+
         it {
-          is_expected.to contain_concat__fragment('nftables-ip-nat-chain-PREROUTING-header').with(
-            target:  'nftables-ip-nat-chain-PREROUTING',
+          expect(subject).to contain_concat__fragment('nftables-ip-nat-chain-PREROUTING-header').with(
+            target: 'nftables-ip-nat-chain-PREROUTING',
             content: %r{^chain PREROUTING \{$},
-            order:   '00'
+            order: '00'
           )
         }
+
         it {
-          is_expected.to contain_concat__fragment('nftables-ip-nat-chain-PREROUTING-rule-type').with(
-            target:  'nftables-ip-nat-chain-PREROUTING',
+          expect(subject).to contain_concat__fragment('nftables-ip-nat-chain-PREROUTING-rule-type').with(
+            target: 'nftables-ip-nat-chain-PREROUTING',
             content: %r{^  type nat hook prerouting priority -100$},
-            order:   '01-nftables-ip-nat-chain-PREROUTING-rule-type-b'
+            order: '01-nftables-ip-nat-chain-PREROUTING-rule-type-b'
           )
         }
+
         it {
-          is_expected.to contain_concat__fragment('nftables-ip-nat-chain-PREROUTING-rule-policy').with(
-            target:  'nftables-ip-nat-chain-PREROUTING',
+          expect(subject).to contain_concat__fragment('nftables-ip-nat-chain-PREROUTING-rule-policy').with(
+            target: 'nftables-ip-nat-chain-PREROUTING',
             content: %r{^  policy accept$},
-            order:   '02-nftables-ip-nat-chain-PREROUTING-rule-policy-b'
+            order: '02-nftables-ip-nat-chain-PREROUTING-rule-policy-b'
           )
         }
+
         it {
-          is_expected.to contain_concat__fragment('nftables-ip-nat-chain-PREROUTING-rule-http').with(
-            target:  'nftables-ip-nat-chain-PREROUTING',
+          expect(subject).to contain_concat__fragment('nftables-ip-nat-chain-PREROUTING-rule-http').with(
+            target: 'nftables-ip-nat-chain-PREROUTING',
             content: %r{^  tcp dport http dnat to 192.0.2.2$},
-            order:   '10-nftables-ip-nat-chain-PREROUTING-rule-http-b'
+            order: '10-nftables-ip-nat-chain-PREROUTING-rule-http-b'
           )
         }
+
         it {
-          is_expected.to contain_concat__fragment('nftables-ip-nat-chain-PREROUTING-rule-https').with(
-            target:  'nftables-ip-nat-chain-PREROUTING',
+          expect(subject).to contain_concat__fragment('nftables-ip-nat-chain-PREROUTING-rule-https').with(
+            target: 'nftables-ip-nat-chain-PREROUTING',
             content: %r{^  tcp dport https dnat to 192.0.2.2$},
-            order:   '10-nftables-ip-nat-chain-PREROUTING-rule-https-b'
+            order: '10-nftables-ip-nat-chain-PREROUTING-rule-https-b'
           )
         }
+
         it {
-          is_expected.to contain_concat__fragment('nftables-ip-nat-chain-PREROUTING-rule-http_alt').with(
-            target:  'nftables-ip-nat-chain-PREROUTING',
+          expect(subject).to contain_concat__fragment('nftables-ip-nat-chain-PREROUTING-rule-http_alt').with(
+            target: 'nftables-ip-nat-chain-PREROUTING',
             content: %r{^  iifname eth0 tcp dport 8080 dnat to 192.0.2.2:8000$},
-            order:   '10-nftables-ip-nat-chain-PREROUTING-rule-http_alt-b'
+            order: '10-nftables-ip-nat-chain-PREROUTING-rule-http_alt-b'
           )
         }
+
         it {
-          is_expected.to contain_concat__fragment('nftables-ip-nat-chain-PREROUTING-rule-wireguard').with(
-            target:  'nftables-ip-nat-chain-PREROUTING',
+          expect(subject).to contain_concat__fragment('nftables-ip-nat-chain-PREROUTING-rule-wireguard').with(
+            target: 'nftables-ip-nat-chain-PREROUTING',
             content: %r{^  iifname eth0 udp dport 51820 dnat to 192.0.2.3$},
-            order:   '10-nftables-ip-nat-chain-PREROUTING-rule-wireguard-b'
+            order: '10-nftables-ip-nat-chain-PREROUTING-rule-wireguard-b'
           )
         }
+
         it {
-          is_expected.to contain_concat__fragment('nftables-ip-nat-chain-PREROUTING-footer').with(
-            target:  'nftables-ip-nat-chain-PREROUTING',
+          expect(subject).to contain_concat__fragment('nftables-ip-nat-chain-PREROUTING-footer').with(
+            target: 'nftables-ip-nat-chain-PREROUTING',
             content: %r{^\}$},
-            order:   '99'
+            order: '99'
           )
         }
       end
